BigramNameFeatureGeneratorFactory (Apache OpenNLP Tools 1.9.5 API)
Date: 2026-06-18

opennlp.tools.util.featuregen

## Class BigramNameFeatureGeneratorFactory

- java.lang.Object
- - opennlp.tools.util.featuregen.GeneratorFactory.AbstractXmlFeatureGeneratorFactory
  - - opennlp.tools.util.featuregen.BigramNameFeatureGeneratorFactory

-     public class BigramNameFeatureGeneratorFactory
      extends GeneratorFactory.AbstractXmlFeatureGeneratorFactory

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BigramNameFeatureGeneratorFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `AdaptiveFeatureGenerator` | `create()`
    `AdaptiveFeatureGenerator` | `create(Element generatorElement, FeatureGeneratorResourceProvider resourceManager)` Deprecated.

    - ### Methods inherited from class opennlp.tools.util.featuregen.GeneratorFactory.AbstractXmlFeatureGeneratorFactory

      `getArtifactSerializerMapping, getBool, getBool, getDouble, getDouble, getFloat, getFloat, getInt, getInt, getLong, getLong, getStr, getStr`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BigramNameFeatureGeneratorFactory

          public BigramNameFeatureGeneratorFactory()

  - ### Method Detail

    - #### create

          @Deprecated
          public AdaptiveFeatureGenerator create(Element generatorElement,
                                                             FeatureGeneratorResourceProvider resourceManager)

      Deprecated.
      Creates an `AdaptiveFeatureGenerator` from a the describing XML element.
      Parameters:
        `generatorElement` - the element which contains the configuration
        `resourceManager` - the resource manager which could be used to access referenced resources
      Returns:
        the configured `AdaptiveFeatureGenerator`

    - #### create

          public AdaptiveFeatureGenerator create()
                                          throws InvalidFormatException

      Specified by:
        `create` in class `GeneratorFactory.AbstractXmlFeatureGeneratorFactory`
      Returns:
        null if the subclass uses `GeneratorFactory.AbstractXmlFeatureGeneratorFactory.resourceManager` to instantiate
      Throws:
        `InvalidFormatException`

Copyright © 2026 The Apache Software Foundation. All rights reserved.